restinio::easy_parser::impl::caseless_exact_fragment_producer_t Class Reference

A producer that expects a fragment in the input and produces boolean value if that fragment is found. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::caseless_exact_fragment_producer_t:

## Public Member Functions

| caseless_exact_fragment_producer_t (std::string fragment)
RESTINIO_NODISCARD expected_t< bool, parse_error_t > | try_parse (source_t &from)

## Private Attributes

std::string | m_fragment

## Additional Inherited Members

Public Types inherited from restinio::easy_parser::impl::producer_tag< bool >
using | result_type = bool
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< bool >
static constexpr entity_type_t | entity_type

## Detailed Description

A producer that expects a fragment in the input and produces boolean value if that fragment is found.

The comparison is performed in case-insensitive manner.

Since
  v.0.6.9

Definition at line 3503 of file easy_parser.hpp.

## Constructor & Destructor Documentation

## caseless_exact_fragment_producer_t()

restinio::easy_parser::impl::caseless_exact_fragment_producer_t::caseless_exact_fragment_producer_t | ( | std::string | fragment | ) |

inline

Definition at line 3509 of file easy_parser.hpp.

## Member Function Documentation

## try_parse()

RESTINIO_NODISCARD expected_t< bool, parse_error_t > restinio::easy_parser::impl::caseless_exact_fragment_producer_t::try_parse | ( | source_t & | from | ) |

inline

Definition at line 3523 of file easy_parser.hpp.

## Member Data Documentation

## m_fragment

std::string restinio::easy_parser::impl::caseless_exact_fragment_producer_t::m_fragment

private

Definition at line 3506 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp